Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common
Class SortCriteria

    java.lang.Object
      com.bea.content.spi.flexspi.common.SortCriteria

All Implemented Interfaces
  Serializable

    public class SortCriteria

extends Object
implements Serializable

query sort criteria

See Also
  Serialized Form

Field Summary
`static SortCriteria` | `UNSORTED`

Constructor Summary
`SortCriteria()` Construct a SortCriteria object using SortCriteria.UNSORTED.
`SortCriteria(boolean sortAscending)` Construct a SortCriteria object.
`SortCriteria(boolean sortResults, boolean sortAscending, String property, Locale locale)` Construct a SortCriteria object.
`SortCriteria(boolean sortAscending, String property)` Construct a SortCriteria object.

Method Summary
`boolean` | `equals(Object obj)`
`Locale` | `getLocale()` Get the locale.
`String` | `getProperty()` Get the sort property name.
`int` | `hashCode()` Override the hashCode because we override equals().
`boolean` | `sortAscending()` Get the sort ascending value.
`boolean` | `sortResults()` Get the sort results value.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSORTED

    public static final SortCriteria UNSORTED

Constructor Detail

### SortCriteria

    public SortCriteria(boolean sortResults,
                        boolean sortAscending,
                        String property,
                        Locale locale)

  Construct a SortCriteria object.

  Parameters
    `sortResults` - True if the containing QueryResult object has sorted the results.
    `sortAscending` - True if the results should be sorted ascending.
    `property` - The property name to sort on.
    `locale` - The locale.

### SortCriteria

    public SortCriteria(boolean sortAscending,
                        String property)

  Construct a SortCriteria object.

  Parameters
    `sortAscending` - True if the results should be sorted ascending.
    `property` - The property name to sort on.

### SortCriteria

    public SortCriteria(boolean sortAscending)

  Construct a SortCriteria object.

  Parameters
    `sortAscending` - True if the results should be sorted ascending.

### SortCriteria

    public SortCriteria()

  Construct a SortCriteria object using SortCriteria.UNSORTED.

Method Detail

### sortResults

    public boolean sortResults()

  Get the sort results value.

  Returns
    The sort results value.

### sortAscending

    public boolean sortAscending()

  Get the sort ascending value.

  Returns
    The sort ascending value.

### getProperty

    public String getProperty()

  Get the sort property name.

  Returns
    The sort property name.

### getLocale

    public Locale getLocale()

  Get the locale.

  Returns
    The locale.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Override the hashCode because we override equals().

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved